##########Example of sampling package

### Loading of packages

library(sampling)
library(foreign)

### Data

dem_data=data.frame(read.spss("D:\\My Documents\\Workshop2006\\Petijumi\\R\\Presentacija\\data\\vect.sav"))
X_data=data.frame(read.spss("D:\\My Documents\\Workshop2006\\Petijumi\\R\\Presentacija\\data\\matrix.sav"))

nrow(X_data)
ncol(X_data)

#fix(X_data)

### Example1

data1=as.matrix(X_data[,1:4])
pik=as.vector(X_data[,6])
totals1=t(as.vector(dem_data[,1:4]))

g1=regressionestimator(data1,pik,totals1)

min(g1)
max(g1)

checkcalibration(data1,pik,totals1,g1)

results=as.data.frame(matrix(NA,ncol(totals1),4))

for (i in 1:4)
 {results[i,1]=sum(data1[,i]/pik)
  results[i,2]=sum(data1[,i]/pik*g1)
  results[i,3]=totals1[i]
  results[i,4]=round(results[i,3]-results[i,2],5)}
results

### Example2

g2=boundedregressionestimator(data1,pik,totals1,LOW=0)

min(g2)
max(g2)

for (i in 1:4)
 {results[i,1]=sum(data1[,i]/pik)
  results[i,2]=sum(data1[,i]/pik*g2)
  results[i,3]=totals1[i]
  results[i,4]=round(results[i,3]-results[i,2],5)}
results

#Example3

sum(1/pik)
sum(1/pik*g1)

data3=cbind(data1,1)
totals3=c(totals1,sum(1/pik))

g3=boundedregressionestimator(data3,pik,totals3,LOW=0)

min(g3)
max(g3)

for (i in 1:5)
 {results[i,1]=sum(data3[,i]/pik)
  results[i,2]=sum(data3[,i]/pik*g3)
  results[i,3]=totals3[i]
  results[i,4]=round(results[i,3]-results[i,2],5)}
results

sum(1/pik)
sum(1/pik*g3)
